Create an appointment for an applicant
https://api.propexo.com/v1/events/appointments/applicantsAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the applicant
The Propexo unique identifier for the application
The Propexo unique identifier for the unit
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The duration of the appointment, in minutes
Possible values: > 0
The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
Show 4 enum values
LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOURNotes associated with the event
Possible values: <= 256 characters
The title associated with the event
Possible values: <= 50 characters
The Propexo unique identifier for the employee
The raw status associated with the event
Show 4 enum values
COMPLETEDOPENREVIEWDENIEDThe priority of the appointment
Show 3 enum values
HIGHMEDIUMLOWResponse
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/events/appointments/applicants \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}